/*
 * @Copyright 2010, MechSoft 
 * MechSoft, Mechanical and Software Solutions 
 * 
 * Licensed under the Apache License, Version 2.0 (the 
 * "License"); you may not use this file except in compliance 
 * with the License. You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.defne.service;

public interface IMessageConstants
{
    // Class name
    static final String CLAZZ_NAME = "org.defne.service.BagValue";

    /** Service name key */
    public static final String SERVICE_NAME_KEY = CLAZZ_NAME + "_0";
   
    /** Method name key */
    public static final String SERVICE_METHOD_NAME_KEY = CLAZZ_NAME + "_1";
    
    /** Service execution error key */
    public static final String SERVICE_EXECUTION_EXCEPTION_KEY = CLAZZ_NAME + "_2";
    
    /** Entity Manager Key */
    public static final String SERVICE_CALLER_ENTITY_MANAGER_KEY = CLAZZ_NAME + "_3";
    
    /** Transaction Policy */
    public static final String SERVICE_CALLER_TRANSACTION_POLICY = CLAZZ_NAME + "_4";
    
    /** If the Executor is the EJB bean, this is the key for JNDI name */
    public static final String SERVICE_EXECUTOR_EJB_JNDI_NAME_KEY = CLAZZ_NAME + "_5";
    
    /**
     * This key is used for providing the JPA EMF unit name to get EM from
     * correct EMF
     */
    public static final String SERVICE_JPA_EMF_UNIT_NAME_KEY = CLAZZ_NAME + "_6";
    
    /** Service execution error message key */
    public static final String SERVICE_EXECUTION_EXCEPTION_MESSAGE_KEY = CLAZZ_NAME + "_7";
    
    /** Service execution error messages */
    public static final String SERVICE_EXECUTION_ERROR_MESSAGES = CLAZZ_NAME + "_8";
    
    /** Service execution info messages */
    public static final String SERVICE_EXECUTION_INFO_MESSAGES = CLAZZ_NAME + "_9";
    
    /** Service execution warning messages */
    public static final String SERVICE_EXECUTION_WARNING_MESSAGES = CLAZZ_NAME + "_10";
    public static final String SERVICE_CALLER_USES_ENTITY_MANAGER_KEY = CLAZZ_NAME + "_11";
    public static final String SERVICE_CALLER_NEW_ENTITY_MANAGER_KEY = CLAZZ_NAME + "_12";

}