/*
 * @Copyright 2010, MechSoft 
 * MechSoft, Mechanical and Software Solutions 
 * 
 * Licensed under the Apache License, Version 2.0 (the 
 * "License"); you may not use this file except in compliance 
 * with the License. You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.defne.service;

import java.io.Serializable;

/**
 * {@link Message} parameter. Each parameter has a {@link Serializable}
 * actual payload object.
 * 
 * @author gurkanerdogdu
 * @version $Rev$ $Date$
 * @param <T> generic payload type
 */
public class MessageParam<T> implements Serializable
{
    // Default id
    private static final long serialVersionUID = 1L;


    /** Payload value */
    private T value = null;

    /**
     * New instance with given payload.
     * 
     * @param value payload
     */
    public MessageParam(T value)
    {
        this.value = value;
    }

    /**
     * Gets payload.
     * 
     * @return payload
     */
    public T getValue()
    {
        return this.value;
    }
}
