/*
 * @Copyright 2010, MechSoft 
 * MechSoft, Mechanical and Software Solutions 
 * 
 * All rights are reserved to MechSoft
 */
package org.defne.service;

import java.io.Serializable;

/**
 * Factory for the {@link MessageParam}.
 * 
 * @author gurkanerdogdu
 * @version $Rev$ $Date$
 */
public final class MessageParamFactory
{
    /**
     * Private constructor.
     */
    private MessageParamFactory()
    {
        throw new UnsupportedOperationException();
    }

    /**
     * Creates a new message parameter with the given payload.
     * 
     * @param <T> generic payload type
     * @param value payload
     * @return new message parameter
     */
    public static <T extends Serializable> MessageParam<T> newMessageParam(T payload)
    {
        return new MessageParam<T>(payload);
    }
}
