/*
 * @Copyright 2010, MechSoft 
 * MechSoft, Mechanical and Software Solutions 
 * 
 * Licensed under the Apache License, Version 2.0 (the 
 * "License"); you may not use this file except in compliance 
 * with the License. You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.defne.service.exception;

import org.defne.utility.exception.DefneException;

/**
 * Throws when the calling thread principal
 * is not authorized to execute the service method.
 * 
 * @author gurkanerdogdu
 * @version $Rev: 54 $ $Date: 2010-07-06 14:36:17 +0300 (Tue, 06 Jul 2010) $
 */
public class SecurityException extends DefneException
{
    //Default serial id
    private static final long serialVersionUID = 1L;

    /**
     * Creates a new security message.
     * @param message exception message
     */
    public SecurityException(String message)
    {
        super(message);
    }
}
