/*
 * @Copyright 2010, MechSoft 
 * MechSoft, Mechanical and Software Solutions 
 * 
 * Licensed under the Apache License, Version 2.0 (the 
 * "License"); you may not use this file except in compliance 
 * with the License. You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.defne.service.util;

import org.defne.service.IMessageConstants;
import org.defne.service.Message;
import org.defne.utility.Utility;
import org.defne.utility.exception.DefneException;

public final class ServiceUtility
{
    private ServiceUtility()
    {
        throw new UnsupportedOperationException();
    }
    
    public static Message getServiceExecutionError(Message oBag, DefneException e)
    {
        Throwable cause = e;
        if(e.getCause() != null)
        {
            cause = e.getCause();
        }
        
        oBag.putMessageParameter(IMessageConstants.SERVICE_EXECUTION_EXCEPTION_KEY, cause);
        oBag.putMessageParameter(IMessageConstants.SERVICE_EXECUTION_EXCEPTION_MESSAGE_KEY, Utility.getExceptionMessage(e));                
        
        return oBag;
    }
    
    public static String getErrorMessage(Message inBag, DefneException exception)
    {
        String error = "Error is occured while executing the service method : " + inBag + "\n"+
        ".Exception message is " + Utility.getExceptionMessage(exception) + ". Look at logs for exception cause";
        
        return error;
    }
}
